using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using TracXmlRpc;
using System.Net;

namespace TracXmlRpcSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                ITicket ticket = new TicketProxy();
                ticket.Credentials = new NetworkCredential("scott", "tiger");
                 object[] result = ticket.Update((int)numericUpDown1.Value, textBox1.Text);

                 StringBuilder builder = new StringBuilder();
                 foreach (object value in result)
                 {
                     builder.AppendLine(value.ToString());
                 }
                 MessageBox.Show(builder.ToString());
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message + ex.StackTrace);
            }
        }
    }
}